<?php

add_action('cmb2_admin_init', function() {
    

    $cmb_petition_page = new_cmb2_box([
        'id' => 'petition_page_metabox',
        'title' => 'Informações da página de Petição',
        'object_types' => ['petition'],
        'priority' => 'high',
    ]);

    $cmb_petition_page->add_field([
        'name' => 'Título superior',
        'id' => 'petition_upper_text',
        'type' => 'text',
        'default' => 'Abaixo-assinado por lula livre'
    ]);

    $cmb_petition_page->add_field([
        'name' => 'Essa petição deve mandar as assinaturas para uma petição pai?',
        'id' => 'petition_parent',
        'type' => 'post_search_text',
        'post_type'   => 'petition',
        'select_type' => 'radio',
        'select_behavior' => 'replace',
    ]);


    $cmb_petition = new_cmb2_box([
        'id' => 'petition_metabox',
        'title' => 'Informações do widget de Petição',
        'object_types' => ['petition'],
        'priority' => 'high',
    ]);

    $cmb_petition->add_field([
        'name' => 'Título',
        'id' => 'petition_title',
        'type' => 'text',
        'default' => 'Assine você também'
    ]);

    $cmb_petition->add_field([
        'name' => 'Pessoas já assinaram (preencher somente para petitions internacionais)',
        'id' => 'petition_qtd_text',
        'type' => 'text',
    ]);

    $cmb_petition->add_field([
        'name' => 'Título do Compartilhe',
        'id' => 'petition_share_title',
        'type' => 'text',
        'default' => 'Compartilhe este abaixo assinado'
    ]);

    // $cmb_petition->add_field([
    //     'name' => 'Imagem do Header (opcional)',
    //     'id' => 'petition_header',
    //     'type' => 'file',
    // ]);

    $cmb_petition->add_field([
        'name' => 'Botão de submissão do cadastro da petição',
        'id' => 'petition_submit_text',
        'type' => 'text',
        'default' => 'Assinar Agora'
    ]);

    $cmb_petition->add_field([
        'name' => 'Título para Baixar o PDF da Petição',
        'id' => 'petition_pdf_title',
        'type' => 'text',
        'default' => 'Clique para baixar este abaixo assinado'
    ]);

    $cmb_petition->add_field([
        'name' => 'Arquivo PDF da Petição',
        'id' => 'petition_pdf_file',
        'type' => 'file',
    ]);

    $cmb_signature = new_cmb2_box([
        'id' => 'singature_metabox',
        'title' => 'Informações do widget de Assinatura',
        'object_types' => ['signatures'],
        'priority' => 'high',
    ]);

    $cmb_signature->add_field([
        'name' => 'ID da Petição',
        'id' => 'petition_id',
        'type' => 'text',
    ]);

    $cmb_signature->add_field([
        'name' => 'E-mail',
        'id' => 'email',
        'type' => 'text',
    ]);

    $cmb_signature->add_field([
        'name' => 'Whatsapp',
        'id' => 'whatsapp',
        'type' => 'text',
    ]);

    $cmb_signature->add_field([
        'name' => 'CPF',
        'id' => 'cpf',
        'type' => 'text',
    ]);

    $cmb_signature->add_field([
        'name' => 'Cidade',
        'id' => 'cidade',
        'type' => 'text',
    ]);
    
    $cmb_signature->add_field([
        'name' => 'Estado',
        'id' => 'estado',
        'type' => 'text',
    ]);


    $cmb_petition_form = new_cmb2_box([
        'id' => 'petition_form_metabox',
        'title' => 'Tradução dos campos do Formulário Petição',
        'object_types' => ['petition'],
        'priority' => 'high',
    ]);

    $cmb_petition_form->add_field([
        'name' => 'Nome',
        'id' => 'petition_form_nome',
        'type' => 'text',
        'default' => 'Nome'
    ]);

    $cmb_petition_form->add_field([
        'name' => 'Whatsapp',
        'id' => 'petition_form_whatsapp',
        'type' => 'text',
        'default' => 'Whatsapp'
    ]);

    $cmb_petition_form->add_field([
        'name' => 'País',
        'id' => 'petition_form_pais',
        'type' => 'text',
        'default' => 'País'
    ]);


    $cmb_petition_form->add_field([
        'name' => 'CPF',
        'id' => 'petition_form_cpf',
        'type' => 'text',
        'default' => 'CPF'
    ]);

    $cmb_petition_form->add_field([
        'name' => 'Texto dos termos de uso',
        'id' => 'petition_terms_text',
        'type' => 'text',
        'default' => 'Confirmo que aceito os termos de uso'
    ]);

    $cmb_petition_form->add_field([
        'name' => 'Link dos termos de uso',
        'id' => 'petition_terms_link',
        'type' => 'text',
    ]);
});
