<?php 
get_header(); 

$header_img = get_post_meta(get_the_ID(), 'petition_header', true);

$petition_id = get_post_meta(get_the_ID(), 'petition_parent', true);

if(empty($petition_id)){
    $petition_id = get_the_ID();
}

$signatures_count = count_signatures($petition_id);

if(empty($header_img)) { ?>
<div class="petition-header">
    <div class="row">
        <div class="column large-8" style="display: flex;align-items: center;">
            <img src="/wp-content/plugins/petitions/images/icon-petition.png" alt="" width="55">
            <h2 class="petition-header--title petition-title mb0"><?= get_post_meta(get_the_ID(), 'petition_upper_text', true) ?></h2>
        </div>
        <?php if(has_excerpt()): ?>
            <div class="column large-4">
                <div class="petition-header--description"><?php the_excerpt() ?></div>
            </div>
        <?php endif ?>
    </div>
</div>
<? }else { ?>
<img src="<?= $header_img ?>" class="petition-header--image" alt="">
<?php } ?>
<div class="row">
    <div class="column large-8 pr20">
        <?php 
        $petition_children = get_languages($petition_id);

        if(count($petition_children) > 0 ){
        ?>
            <ul class="languages-tab pt30">
            <li class="<?= $petition_id == get_the_ID() ?'active':''?>"><a href="<?= get_the_permalink($petition_id) ?>">Português</a></li>

            <?php
            foreach($petition_children as $p_child){
                $languages = get_the_terms($p_child->post_id, 'languages');

                if(count($languages) > 0){
                    ?>
                        <li class="<?= $p_child->post_id == get_the_ID() ?'active':''?>"><a href="<?= get_the_permalink($p_child->post_id) ?>"><?= $languages[0]->name ?></a></li>
                    <?php
                }
            }
            ?>
            </ul>
        <?php } ?>
        <h1 class="petition-title mb40 pt20"><?php the_title() ?></h1>
        <?php the_content() ?>
    </div>

    <div class="column large-4 petition-widget">
        <div class="petition-widget--counter petition-title">
            <h3><?= $signatures_count ?></h3>
            
            <p>
            <?php 
            $petition_qtd_text = get_post_meta(get_the_ID(), 'petition_qtd_text', true);
            echo !empty($petition_qtd_text) ? $petition_qtd_text : ('pessoa'. ($signatures_count != '1' ? 's' : ''). ' já assin'. ($signatures_count != '1' ? 'aram' : 'ou'));
            ?>
            </p>
        </div>

        <h4 class="petition-title mb40"><?= get_post_meta(get_the_ID(), 'petition_title', true )?></h4>

        <div class="petition-widget--form mb60">
            <form action="?" method="POST" id="formPetition" data-petition-id="<?= $petition_id ?>" onsubmit="return false;">
                <input type="text" name="name" placeholder="<?= get_post_meta(get_the_ID(), 'petition_form_nome', true ) ?>" required>
                <input type="text" name="email" placeholder="E-mail" required>
                <input type="text" name="whatsapp" placeholder="<?= get_post_meta(get_the_ID(), 'petition_form_whatsapp', true ) ?>">

                <input type="text" name="cpf" placeholder="<?= get_post_meta(get_the_ID(), 'petition_form_cpf', true ) ?>">

                <div class="row">
                    <?php if($petition_id == get_the_ID()) : ?>
                    <div class="column large-8 pl0">
                        <input type="text" name="cidade" placeholder="Cidade" required>
                    </div>
                    <div class="column large-4 pr0">
                        <input type="text" name="estado" placeholder="Estado" maxlength="2" required>
                    </div>
                    <?php endif ?>    
                </div>
                

                <?php if(!empty(get_post_meta(get_the_ID(), 'petition_terms_text', true )) ): ?>
                <div class="row">
                    <div class="custom-checkbox">
                        <input type="checkbox" id="accept_terms" value="S" name="accept_terms">
                        <label for="accept_terms">
                            <a href="<?= get_post_meta(get_the_ID(), 'petition_terms_link', true ) ?>" style="color: white;"><?= get_post_meta(get_the_ID(), 'petition_terms_text', true ) ?></a>
                        </label>
                    </div>
                </div>
                <?php endif; ?>

                <input type="text" name="pais" 
                placeholder="<?= get_post_meta(get_the_ID(), 'petition_form_pais', true ) ?>" required 
                class="<?= $petition_id == get_the_ID() ? 'hide' : '' ?>"
                value="<?=  $petition_id == get_the_ID() ? 'Brasil' : '' ?>"
                >

                <script src="https://www.google.com/recaptcha/api.js" async defer></script>
                <button class="g-recaptcha hide" data-sitekey="6LeEm6oUAAAAAP-7tz9-3FTvB-awGdDvt5VqXULK" data-size="invisible">Submit</button>

                <button style="width: 100%" class="button primary mt20 block"><?= get_post_meta(get_the_ID(), 'petition_submit_text', true) ?></button>
            </form>
        </div>

        <h4 class="petition-title fz26"><?= get_post_meta(get_the_ID(), 'petition_share_title', true ) ?></h4>
        <?php 
        include('petition-share.php');
        
        $petition_pdf = get_post_meta(get_the_ID(), 'petition_pdf_file', true);
        
        if(!empty($petition_pdf)){
            ?>
            <a href="<?= $petition_pdf ?>" class="button primary mt40 block" download>
                <?= get_post_meta(get_the_ID(), 'petition_pdf_title', true) ?>
            </a>
            <?php
        }
        ?>
    </div>

    <div class="column large-12 mt60">
        <?php  
        $o_id = get_the_ID();
        global $post;
        $post = get_page_by_path('petition-footer', OBJECT, 'layout_parts');
        
        if($post && $petition_id == $o_id){
            setup_postdata($post);
            the_content();
        }

        wp_reset_postdata();
        ?>
    </div>
</div>

<?php
get_footer();
?>

