<?php

add_action('cmb2_admin_init', function() {
    $prefix = '_page_';

    $cmb = new_cmb2_box(array(
        'id' => 'test_metabox',
        'title' => "Opções da página",
        'object_types' => array('page'), // Post type
        'context' => 'normal',
        'priority' => 'high',
        'show_names' => true,
    ));

    $cmb->add_field(array(
        'name' => 'Não exibir título da página',
        'desc' => 'Opcional: Apropriado para hotsites.',
        'id' => $prefix . '_no_title',
        'type' => 'checkbox'
    ));

    $cmb->add_field(array(
        'name' => 'Exibir links de compartilhamento',
        'desc' => 'Os links de compartilhamento aparecerão na lateral da página, como na página de notícia.',
        'id' => $prefix . '_has_socialnetworks',
        'type' => 'checkbox'
    ));


    $cmb_post = new_cmb2_box(array(
        'id' => 'post_metabox',
        'title' => "Opções do post",
        'object_types' => array('post'), // post type
        'context' => 'normal',
        'priority' => 'high',
        'show_names' => true,
    ));

    $cmb_post->add_field(array(
        'name' => 'Vídeo embed',
        'id' => 'post_video',
        'type' => 'oembed',
    ));

    // $cmb_post = new_cmb2_box(array(
    //     'id' => 'post_metabox',
    //     'title' => "Opções do post",
    //     'object_types' => array('post'), // Post type
    //     'context' => 'normal',
    //     'priority' => 'high',
    //     'show_names' => true,
    // ));

    // $cmb_post->add_field(array(
    //     'name' => 'Arquivo de Áudio',
    //     'desc' => 'Por exemplo, para Lulacast.',
    //     'id' => 'audio_file',
    //     'type' => 'file'
    // ));

    // $cmb_post->add_field(array(
    //     'name' => 'Arquivo de Vídeo',
    //     'desc' => 'Opcional. Será exibido na listagem de posts. Não usar junto com Áudio.',
    //     'id' => 'video_file',
    //     'type' => 'file'
    // ));

    // $cmb_post->add_field(array(
    //     'name' => 'URL do Vídeo do Youtube',
    //     'desc' => 'Opcional. Será exibido na listagem de posts. Não usar junto com Áudio.',
    //     'id' => 'video_embed',
    //     'type' => 'oembed'
    // ));


    // $cmb_post->add_field(array(
    //     'name' => 'URL do Vídeo',
    //     'id' => '_video_url',
    //     'type' => 'text',
    // ));

    $cmb_credit = new_cmb2_box([
        'id' => 'credit_metabox',
        'title' => 'Autor',
        'object_types' => ['post'],
        'context' => 'side',
        'priority' => 'default',
        'show_names' => false,
    ]);

    $cmb_credit->add_field([
        'name' => 'Autor',
        'id' => 'author',
        'type' => 'text'
    ]);

    $cmb_cadastros = new_cmb2_box([
        'id' => 'cadastros_metabox',
        'title' => 'Informações Adicionais',
        'object_types' => ['cadastros'],
        'priority' => 'high',
    ]);

    $cmb_cadastros->add_field([
        'name' => 'Whatsapp',
        'id' => 'WHATSAPP',
        'type' => 'text'
    ]);

    $cmb_cadastros->add_field([
        'name' => 'E-mail',
        'id' => 'EMAIL',
        'type' => 'text'
    ]);

    $cmb_cadastros->add_field([
        'name' => 'Pessoa',
        'id' => 'PESSOA',
        'type' => 'multicheck',
        'options' => array(
            'Quero receber notícias' => 'Quero receber notícias',
            'Quero organizar um comitê' => 'Quero organizar um comitê',
            'Já participo de um comitê' => 'Já participo de um comitê',
            'Quero ser colaborador da campanha' => 'Quero ser colaborador da campanha'
        ),
    ]);

    $cmb_cadastros->add_field([
        'name' => 'Estado',
        'id' => 'ESTADO',
        'type' => 'text'
    ]);

    $cmb_cadastros->add_field([
        'name' => 'Cidade',
        'id' => 'CIDADE',
        'type' => 'text'
    ]);

    $cmb_cadastros->add_field([
        'name' => 'CEP',
        'id' => 'CEP',
        'type' => 'text'
    ]);

    $cmb_cadastros->add_field([
        'name' => 'Endereço',
        'id' => 'ENDERECO',
        'type' => 'text'
    ]);

    $cmb_cadastros->add_field([
        'name' => 'Longitude',
        'id' => 'LONGITUDE',
        'type' => 'text'
    ]);

    $cmb_cadastros->add_field([
        'name' => 'Latitude',
        'id' => 'LATITUDE',
        'type' => 'text'
    ]);


});
