<?php

/*
  Widget Name: Banner Genérico
  Description: Banner Genérico
  Author: hacklab/
  Author URI: https://hacklab.com.br/
 */

namespace widgets;

class BannerGenerico extends \SiteOrigin_Widget {

    function __construct() {
        $fields = [
            'title' => [
                'type' => 'text',
                'label' => __('Título', 'lula'),
            ],
            'description' => [
                'type' => 'text',
                'label' => __('Descrição', 'lula'),
            ],
            'color' => [
                'type' => 'color',
                'label' => __('Cor', 'lula banner'),
            ],
            'image' => [
                'type' => 'media',
                'label' => __('Imagem', 'lula'),
            ],
            'link_href' => [
                'type' => 'link',
                'sanitize' => 'url',
                'label' => __('Link do botão', 'lula'),
            ],
            'link_text' => [
                'type' => 'text',
                'label' => __('Texto do botão', 'lula'),
            ],
        ];

        parent::__construct('banner-generico', __('Banner Genérico', 'lula'), [
            'panels_groups' => [WIDGETGROUP_BANNERS],
            'description' => 'Banner Genérico'
                ], [], $fields, plugin_dir_path(__FILE__)
        );
    }

    function get_template_name($instance) {
        return 'template';
    }

    function get_style_name($instance) {
        return 'style';
    }

}

Siteorigin_widget_register('banner-generico', __FILE__, 'widgets\BannerGenerico');
