<?php

/*
  Widget Name: Banner Informativo
  Description: Banner Informativo
  Author: hacklab/
  Author URI: https://hacklab.com.br/
 */

namespace widgets;

class BannerInformativo extends \SiteOrigin_Widget {

    function __construct() {
        $fields = [
            'title' => [
                'type' => 'text',
                'label' => __('Título', 'lula'),
                'default' => __('Boletim Informativo', 'lula_banner-abra-comite')
            ],
            'description' => [
                'type' => 'text',
                'label' => __('Descrição', 'lula'),
                'default' => __('Receba nosso informativo direto no seu email', 'lula_banner-abra-comite')
            ],
            'href' => [
                'type' => 'link',
                'sanitize' => 'url',
                'label' => __('Link', 'lula')
            ],
        ];

        parent::__construct('banner-info', __('Banner Informativo', 'lula'), [
            'panels_groups' => [WIDGETGROUP_BANNERS],
            'description' => 'Banner Informativo'
                ], [], $fields, plugin_dir_path(__FILE__)
        );
    }

    function get_template_name($instance) {
        return 'template';
    }

    function get_style_name($instance) {
        return 'style';
    }

}

Siteorigin_widget_register('banner-info', __FILE__, 'widgets\BannerInformativo');
