<?php

/*
  Widget Name: Card
  Description: Adiciona um card de post
  Author: hacklab/
  Author URI: https://hacklab.com.br/
 */

namespace widgets;

class Card extends \SiteOrigin_Widget {

    function __construct() {
        $fields = [
            'tipo' => [
                'type' => 'select',
                'label' => 'Tipo de Card',
                'default' => '',
                'options' => array(
                    'card-xsmall' => 'Imagem pequena',
                    'card-small' => 'Imagem média',
                    'card-medium' => 'Imagem grande',
                )
            ],
            'link_externo' => [
                'type' => 'checkbox',
                'label' => 'Link externo',
                'description' => 'O link deve abrir numa nova aba',
                'default' => FALSE,
            ],
            'hide_linha_fina' => [
                'type' => 'checkbox',
                'label' => 'Não exibir a linha fina',
                'default' => FALSE,
            ],
            'show_excerpt' => [
                'type' => 'checkbox',
                'label' => 'Exibir o resumo do post',
                'default' => FALSE,
            ],
            'conteudo' => [
                'type' => 'posts',
                'label' => __('Conteúdo', 'lula'),
            ],
        ];

        parent::__construct('card', __('Post Card', 'lula'), [
            'panels_groups' => [WIDGETGROUP_MAIN, WIDGETGROUP_CARDS],
            'description' => 'Adiciona um card de post'
                ], [], $fields, plugin_dir_path(__FILE__)
        );
    }

    function get_template_name($instance) {
        return 'template';
    }

    function get_style_name($instance) {
        return 'style';
    }

    function get_template_variables($instance, $args) {
        $posts_query_args = siteorigin_widget_post_selector_process_query($instance['conteudo']);

        return ['query_args' => $posts_query_args];
    }

}

Siteorigin_widget_register('card', __FILE__, 'widgets\Card');
