<?php

/*
  Widget Name: Lista de Posts
  Description: Lista de posts
  Author: hacklab/
  Author URI: https://hacklab.com.br/
 */

namespace widgets;

class PostsListLarge extends \SiteOrigin_Widget {

    function __construct() {
        $fields = [
            'size' => [
                'type' => 'number',
                'label' => __('Quantidade de cards por linha', 'lula'),
                'default' => '2'
            ],
            'conteudo' => [
                'type' => 'posts',
                'label' => __('Conteúdo', 'lula'),
            ],
            'only_image' => [
                'type' => 'checkbox',
                'label' => __( 'Show only image?', 'lula' ),
                'default' => false
            ],
            'show_download_button' => [
                'type' => 'checkbox',
                'label' => __( 'Show download button?', 'lula' ),
                'default' => false
            ]
        ];

        parent::__construct('posts-list-large', __('Lista de Posts', 'lula'), [
            'panels_groups' => [WIDGETGROUP_MAIN, WIDGETGROUP_CARDS],
            'description' => 'Lista de posts'
                ], [], $fields, plugin_dir_path(__FILE__)
        );
    }

    function get_template_name($instance) {
        return 'template';
    }

    function get_style_name($instance) {
        return 'style';
    }

    function get_template_variables($instance, $args) {
        $posts_query_args = siteorigin_widget_post_selector_process_query($instance['conteudo']);

        return ['query_args' => $posts_query_args];
    }

}

Siteorigin_widget_register('posts-list-large', __FILE__, 'widgets\PostsListLarge');
