<?php
$videoGallery = [];
$componentId = '';


$query = new WP_Query($query_args);

while($query->have_posts()){
    $query->the_post();


    $url = get_post_meta(get_the_ID(), '_video_url', true);

    parse_str( parse_url( $url, PHP_URL_QUERY ), $url_vars );
    
    if(isset($url_vars['v']) && !empty($url_vars['v'])){
        $videoId = $url_vars['v']; 

        $videoGallery[] = [
            'title' => get_the_title(),
            'image' => images\url('card-small'),
            'url' => $videoId
        ];

        $componentId .= strlen($componentId <= 64) ? $videoId : '';
    }
}


wp_enqueue_script( 'video_gallery', get_stylesheet_directory_uri() . '/no-js.js', array( 'jquery' ) );
wp_localize_script( 'video_gallery', 'video_gallery_'.$componentId , $videoGallery );

?>

<video-gallery hash="video_gallery_<?= $componentId ?>"></video-gallery>
